varying vec3 position;
varying vec4 diffuse,ambientGlobal, ambient,normal;
varying vec3 lightDir,halfVector;
varying float dist; 




void main() {
	vec3 n,halfV,viewV,ldir;
	float NdotL,NdotHV;
	vec4 color;// = texture2D(tex0,gl_TexCoord[0].st);
	vec4 ambient = vec4(0.2,0.2,0.5,1.0);
	float att;


	NdotL = max(dot(n,normalize(lightDir)),0.0);
		att = 1.0 / (gl_LightSource[0].constantAttenuation +
				gl_LightSource[0].linearAttenuation * dist +
				gl_LightSource[0].quadraticAttenuation * dist * dist);
		color += att * (diffuse * NdotL + ambient);
		halfV = normalize(halfVector);

		NdotHV = max(dot(n,halfV),0.0);
		color += att * gl_FrontMaterial.specular * gl_LightSource[0].specular * pow(NdotHV,gl_FrontMaterial.shininess);

	gl_FragData[0] = color;
	gl_FragData[0].a = 1.0;
	gl_FragData[1] = normal;
}
